Skip to main content
POST
/
language
/
detect
Detect
curl --request POST \
  --url https://test.api.cxconnect.ai/language/detect \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "document": {
    "value": "<string>",
    "mime_type": "<string>",
    "language": "<string>",
    "meta": {}
  },
  "source_hint": "<string>",
  "static": {
    "hola": "es"
  },
  "min_confidence": 123,
  "min_chars": 123,
  "max_chars": 123,
  "limit_results": [
    "<string>"
  ],
  "no_override": true,
  "meta": {
    "foo": "bar"
  }
}
'
{
  "confidence": 123,
  "language": "<string>",
  "meta": {
    "foo": "bar"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cxconnect.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
document
object
source_hint
string
static
object
Example:
{ "hola": "es" }
min_confidence
number<float>
min_chars
number
max_chars
number
limit_results
string[]
no_override
boolean
meta
object
Example:
{ "foo": "bar" }

Response

Successful detection result

confidence
number<float>
language
string
meta
object
Example:
{ "foo": "bar" }